Open CASCADE Technology: StepVisual_ContextDependentInvisibility Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepVisual_ContextDependentInvisibility Class Reference

`#include <StepVisual_ContextDependentInvisibility.hxx>`

Inheritance diagram for StepVisual_ContextDependentInvisibility:
[legend]

## Public Member Functions
| StepVisual_ContextDependentInvisibility ()
| Returns a ContextDependentInvisibility. More...
virtual void | Init (const Handle< StepVisual_HArray1OfInvisibleItem > &aInvisibleItems)
virtual void | Init (const Handle< StepVisual_HArray1OfInvisibleItem > &aInvisibleItems, const StepVisual_InvisibilityContext &aPresentationContext)
void | SetPresentationContext (const StepVisual_InvisibilityContext &aPresentationContext)
StepVisual_InvisibilityContext | PresentationContext () const
Public Member Functions inherited from StepVisual_Invisibility
| StepVisual_Invisibility ()
| Returns a Invisibility. More...
void | SetInvisibleItems (const Handle< StepVisual_HArray1OfInvisibleItem > &aInvisibleItems)
Handle< StepVisual_HArray1OfInvisibleItem > | InvisibleItems () const
StepVisual_InvisibleItem | InvisibleItemsValue (const Standard_Integer num) const
Standard_Integer | NbInvisibleItems () const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

StepVisual_ContextDependentInvisibility::StepVisual_ContextDependentInvisibility | ( |  | ) |

Returns a ContextDependentInvisibility.

## Member Function Documentation

virtual void StepVisual_ContextDependentInvisibility::Init | ( | const Handle< StepVisual_HArray1OfInvisibleItem > & | aInvisibleItems | ) |
| virtual

Reimplemented from StepVisual_Invisibility.

virtual void StepVisual_ContextDependentInvisibility::Init | ( | const Handle< StepVisual_HArray1OfInvisibleItem > & | aInvisibleItems,
|  | const StepVisual_InvisibilityContext & | aPresentationContext
| ) |  |
| virtual

StepVisual_InvisibilityContext StepVisual_ContextDependentInvisibility::PresentationContext | ( |  | ) | const

void StepVisual_ContextDependentInvisibility::SetPresentationContext | ( | const StepVisual_InvisibilityContext & | aPresentationContext | ) |

The documentation for this class was generated from the following file:

- StepVisual_ContextDependentInvisibility.hxx